@echo off
set drmfilename=%1
if exist xaa.mp4 del xaa.mp4
if exist xab.bin del xab.bin
if exist xaa-kmvd-uuid.bin del xaa-kmvd-uuid.bin

SplitKMV.exe %drmfilename%
if not exist xaa.mp4 goto BrokenKMV
AtomicParsley.exe xaa.mp4 --extract1uuid "kmvd"
if exist xaa-kmvd-uuid.bin goto DRM
AtomicParsley.exe xaa.mp4 --extract1uuid "kmve"
if exist xaa-kmve-uuid.key goto Streaming
AtomicParsley.exe xaa.mp4 --extract1uuid "kmhq"
if exist xaa-kmhq-uuid.bin goto HIGHKMV
AtomicParsley.exe xaa.mp4 --extract1uuid "km4v"
if exist xaa-km4v-uuid.bin goto HIGHKMV
AtomicParsley.exe xaa.mp4 --extract1uuid "khvq"
if exist xaa-khvq-uuid.bin goto HIGHKMV
goto noDRM
:NoDRM
@echo Complete 100%
@echo No DRM
goto END
:DRM
@echo DRM Found
goto END
:Streaming
@echo Streaming Found
goto END

:BrokenKMV
@echo Broken KMV clip
goto END

:HIGHKMV
@echo High Quality KMV clip

:END
if exist xaa-kmvd-uuid.bin del xaa-kmvd-uuid.bin
if exist xaa-kmve-uuid.key del xaa-kmve-uuid.key
if exist xaa-kmhq-uuid.bin del xaa-kmhq-uuid.bin
if exist xaa-km4v-uuid.bin del xaa-km4v-uuid.bin
if exist xaa-khvq-uuid.bin del xaa-khvq-uuid.bin
if exist xaa.mp4 del xaa.mp4
if exist xab.bin del xab.bin
